Loading...
Searching...
No Matches
mediaTagEntry Struct Reference

Hash table entry for an arbitrary media tag (e.g., proprietary drive/medium descriptor). More...

`#include <aaruformat/context.h>`

## Data Fields

uint8_t * | data
| Tag data blob (opaque to library core); length bytes long.
int32_t | type
| Numeric type identifier.
uint32_t | length
| Length in bytes of data.
UT_hash_handle | hh
| uthash linkage.

## Detailed Description

Hash table entry for an arbitrary media tag (e.g., proprietary drive/medium descriptor).

Stored via uthash (hh handle). Type is a format‑specific integer identifier mapping to external interpretation.

Definition at line 121 of file context.h.

## Field Documentation

## data

uint8_t* mediaTagEntry::data

Tag data blob (opaque to library core); length bytes long.

Definition at line 123 of file context.h.

Referenced by aaruf_close(), aaruf_read_media_tag(), aaruf_write_media_tag(), process_data_block(), and write_media_tags().

## hh

UT_hash_handle mediaTagEntry::hh

uthash linkage.

Definition at line 126 of file context.h.

## length

uint32_t mediaTagEntry::length

Length in bytes of data.

Definition at line 125 of file context.h.

Referenced by aaruf_read_media_tag(), aaruf_write_media_tag(), process_data_block(), and write_media_tags().

## type

int32_t mediaTagEntry::type

Numeric type identifier.

Definition at line 124 of file context.h.

Referenced by aaruf_write_media_tag(), process_data_block(), and write_media_tags().

The documentation for this struct was generated from the following file:

- include/aaruformat/context.h